Package twisted :: Package internet :: Module utils :: Class _ValueGetter

[show private | hide private]
[frames | no frames]

## Class _ValueGetter

    BaseProtocol --+
                   |
     ProcessProtocol --+
                       |
                      _ValueGetter

Method Summary
| `__init__(self, deferred)`
| ``connectionMade`(self)` Called when a connection is made. (inherited from `BaseProtocol`)
| ``errConnectionLost`(self)` This will be called when stderr is closed. (inherited from `ProcessProtocol`)
| ``errReceived`(self, data)` Some data was received from stderr. (inherited from `ProcessProtocol`)
| ``inConnectionLost`(self)` Called when stdin is shut down. (inherited from `ProcessProtocol`)
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| ``outConnectionLost`(self)` Called when stdout is shut down. (inherited from `ProcessProtocol`)
| ``outReceived`(self, data)` Some data was received from stdout. (inherited from `ProcessProtocol`)
| ``processEnded`(self, reason)` This will be called when the subprocess is finished.

Method Details

### processEnded(self, reason)

This will be called when the subprocess is finished.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ProcessProtocol.processEnded` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:19:29 2003 | http://epydoc.sf.net